Update the current user's username
PATCH
/auth/v1/users/current/usernameUpdates the authenticated user's username to the provided value.
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.updateUsernameBody",
"$ref-value": {
"properties": {
"username": {
"maxLength": 24,
"type": "string"
}
},
"required": [
"username"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.UpdateUsernameResponse",
"$ref-value": {
"properties": {
"username": {
"type": "string"
}
},
"type": "object"
}
}curl -X PATCH "https://api.rixl.com/auth/v1/users/current/username" \
-H "Content-Type: application/json" \
-d '{
"username": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.UpdateUsernameResponse",
"$ref-value": {
"properties": {
"username": {
"type": "string"
}
},
"type": "object"
}
}